petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexOrient

Give a consistent orientation to the input mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexOrient(DM dm)

### Input Parameters

dm -The DM

Note: The orientation data for the DM are change in-place.

    This routine will fail for non-orientable surfaces, such as the Moebius strip.

### See Also

DMCreate(), DMPLEX

Level:advanced
Location:src/dm/impls/plex/plexorient.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages